#!/bin/ksh

set -A pkname atk cairo expat fontconfig freetype2 gettext glib2 gtk2 libjpeg libpng libtiff pango pixman xcursor xft xrender zlib
set -A pkversion 1.12.3 1.8.8 2.0.1 2.4.2 2.3.9 0.10.40 2.12.4 2.10.6 6b 1.2.32 3.8.2 1.14.5 0.12.0 1.1.7 2.1.6 0.9.1 1.2.3

let "index=0"
for pk in ${pkname[@]}
do
#	echo $pk,${pkversion[$index]}
	set -A pkcurr $(rpm -qa --qf "%{NAME} %{VERSION}\n" | grep $pk) 
#	echo ${pkcurr[0]},${pkcurr[1]}
#	echo ${#pkcurr[@]}	
	if [ 2 -gt ${#pkcurr[@]} ];
	then
		echo "Package: $pk, not installed"
		echo "Installing: $pk"
		rfile=$( ls *.rpm | grep $pk )
		rpm --nodeps -ivh $rfile		
		let "index=index+1"
		continue
	fi
	if [ ${pkversion[$index]} != ${pkcurr[1]} ]
	then
		echo "Version installed: ${pkcurr[1]}"," Version to be installed: ${pkversion[$index]} for package: ${pkcurr[0]}"
		echo "Do you want to overwrite existing installation?"	
		read yn
		case $yn in
			[Yy]* ) echo "Installing Package";rfile=$( ls *.rpm | grep $pk );rpm -ivh --force $rfile; break;;
			* ) echo "Leaving package as it is."
		esac
	fi
	let "index=index+1"
done 
